INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_USRP_UTC_SYNC USRP_UTC_SYNC)

FIND_PATH(
    USRP_UTC_SYNC_INCLUDE_DIRS
    NAMES USRP_UTC_SYNC/api.h
    HINTS $ENV{USRP_UTC_SYNC_DIR}/include
        ${PC_USRP_UTC_SYNC_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    USRP_UTC_SYNC_LIBRARIES
    NAMES gnuradio-USRP_UTC_SYNC
    HINTS $ENV{USRP_UTC_SYNC_DIR}/lib
        ${PC_USRP_UTC_SYNC_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
          )

include("${CMAKE_CURRENT_LIST_DIR}/USRP_UTC_SYNCTarget.cmake")

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(USRP_UTC_SYNC DEFAULT_MSG USRP_UTC_SYNC_LIBRARIES USRP_UTC_SYNC_INCLUDE_DIRS)
MARK_AS_ADVANCED(USRP_UTC_SYNC_LIBRARIES USRP_UTC_SYNC_INCLUDE_DIRS)
